<VirtualHost *:80>
	ServerName oer.hps.vi4io.org

	Redirect permanent / https://oer.hps.vi4io.org/

	<Directory />
		Options SymLinksIfOwnerMatch
		AllowOverride None
		Require all denied
	</Directory>

	ErrorLog ${APACHE_LOG_DIR}/error-oer.log
	LogLevel warn
	CustomLog ${APACHE_LOG_DIR}/access-oer.log combined

        Include /home/www/hps/dev/apache-generic.conf

	Alias "/.well-known/acme-challenge/" "/var/www/certbot/.well-known/acme-challenge/"

	<Directory /var/www/certbot>
		Options SymLinksIfOwnerMatch
		AllowOverride None
		Require all granted
	</Directory>
</VirtualHost>


<VirtualHost *:443>
	ServerAdmin admin@hps.vi4io.org
	ServerName oer.hps.vi4io.org

	Redirect permanent / https://oer.hps.vi4io.org:8080/

	<Directory />
		Options SymLinksIfOwnerMatch
		AllowOverride None
		Require all denied
	</Directory>

	ErrorLog ${APACHE_LOG_DIR}/error-oer.log
	LogLevel warn
	CustomLog ${APACHE_LOG_DIR}/access-oer.log combined

	SSLEngine on
	SSLCertificateFile /etc/letsencrypt/live/oer.hps.vi4io.org/fullchain.pem
	SSLCertificateKeyFile /etc/letsencrypt/live/oer.hps.vi4io.org/privkey.pem
	Include /etc/letsencrypt/options-ssl-apache.conf
</VirtualHost>
